%define        majversion  %(echo %version | cut -d. -f 1-2)

Name:          gnome-sharp
Version:       2.24.5
Release:       1mamba
Summary:       A set of .NET bindings for the GNOME libraries
Group:         Development/Languages
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           https://www.mono-project.com/GtkSharp
Source:        https://download.mono-project.com/sources/gnome-sharp2/gnome-sharp-%{version}.tar.gz
#Source:        https://download.gnome.org/sources/gnome-sharp/%{majversion}/gnome-sharp-%{version}.tar.bz2
Patch0:        %{name}-2.16.1-gtkhtml-3.14.patch
License:       LGPL
Requires:      mono-core
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: gtk-sharp-devel
BuildRequires: gtk-sharp2-devel
BuildRequires: libGConf-devel
BuildRequires: libICE-devel
BuildRequires: libORBit2-devel
BuildRequires: libSM-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libatk-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libcairo-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgnome-devel
BuildRequires: libgnome-vfs-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnomeui-devel
BuildRequires: libgtk2-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libpango-devel
BuildRequires: libpopt-devel
BuildRequires: mono-devel
## AUTOBUILDREQ-END
BuildRequires: mono-devel
BuildRequires: gtk-sharp-devel
BuildRequires: librsvg-devel
BuildRequires: libgtkhtml3-devel
BuildRequires: libvte-devel

%description
Gnome#, a GUI Toolkit, is a set of .NET bindings for the GNOME (http://www.gnome.org/) libraries.

%package devel
Summary:       Static libraries and headers for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Gnome#, a GUI Toolkit, is a set of .NET bindings for the GNOME (http://www.gnome.org/) libraries.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q
#%patch0 -p1
aclocal
autoconf
libtoolize

%build
%configure

%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so
%{_prefix}/lib/mono/*/*art-sharp*
%{_prefix}/lib/mono/*/*gconf-sharp*
%{_prefix}/lib/mono/*/*gnome-sharp*
%{_prefix}/lib/mono/*/*gnome-vfs-sharp*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_bindir}/gconfsharp*
%{_prefix}/lib/gtk-sharp-?.?/gconfsharp*
%{_libdir}/*.a
%{_libdir}/*.la
%{_datadir}/gapi-?.?/*.xml
%{_libdir}/pkgconfig/*.pc
%doc ChangeLog NEWS README

%changelog
* Sat Feb 13 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.5-1mamba
- update to 2.24.5

* Tue Jan 11 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.2-2mamba
- rebuilt with mono 2.8.2

* Sun Oct 10 2010 Automatic Build System <autodist@mambasoft.it> 2.24.2-1mamba
- automatic update to 2.24.2 by autodist

* Mon May 18 2009 Automatic Build System <autodist@mambasoft.it> 2.24.1-2mamba
- automatic rebuild by autodist

* Sun Mar 22 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.1-1mamba
- update to 2.24.1

* Tue Jan 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.16.1-1mamba
- automatic update by autodist

* Sun Jul 01 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 2.16.0-1mamba
- package created by autospec
